QwtSimpleCompassRose(3)

NAME
QwtSimpleCompassRose -

SYNOPSIS

Inherits QwtCompassRose.

Detailed Description

A simple rose for QwtCompass.

Definition at line 49 of file qwt_compass_rose.h.

  Public Member Functions
QwtSimpleCompassRose (int numThorns=8, int numThornLevels=-1)
void setWidth (double w)
double width () const
void setNumThorns (int count)
int numThorns () const
void setNumThornLevels (int count)
int numThornLevels () const
void setShrinkFactor (double factor)
double shrinkFactor () const
virtual void draw (QPainter *, const QPoint &center, int radius, double north, QPalette::ColorGroup=QPalette::Active) const

  Static Public Member Functions
static void drawRose (QPainter *, const QPalette &, const QPoint &center, int radius, double origin, double width, int numThorns, int numThornLevels, double shrinkFactor)

Constructor & Destructor Documentation

  QwtSimpleCompassRose::QwtSimpleCompassRose (int numThorns = 8, int numThornLevels = -1)

Constructor

Parameters:
    numThorns Number of thorns
    numThornLevels Number of thorn levels

Definition at line 61 of file qwt_compass_rose.cpp.

References QwtCompassRose::palette().

Member Function Documentation

  void QwtSimpleCompassRose::draw (QPainter * painter, const QPoint & center, int radius, double north, QPalette::ColorGroup cg = QPalette::Active) const [virtual]

Draw the rose

Parameters:
    painter Painter
    center Center point
    radius Radius of the rose
    north Position
    cg Color group

Implements QwtCompassRose.

Definition at line 98 of file qwt_compass_rose.cpp.

References drawRose(), and QwtCompassRose::palette().

  void QwtSimpleCompassRose::drawRose (QPainter * painter, const QPalette & palette, const QPoint & center, int radius, double north, double width, int numThorns, int numThornLevels, double shrinkFactor) [static]

Draw the rose

Parameters:
    painter Painter
    palette Palette
    center Center of the rose
    radius Radius of the rose
    north Position pointing to north
    width Width of the rose
    numThorns Number of thorns
    numThornLevels Number of thorn levels
    shrinkFactor Factor to shrink the thorns with each level

Definition at line 136 of file qwt_compass_rose.cpp.

Referenced by draw().

  int QwtSimpleCompassRose::numThornLevels () const

Returns:
    Number of thorn levels

See also:
    setNumThorns(), setNumThornLevels()

Definition at line 278 of file qwt_compass_rose.cpp.

  int QwtSimpleCompassRose::numThorns () const

Returns:
    Number of thorns

See also:
    setNumThorns(), setNumThornLevels()

Definition at line 258 of file qwt_compass_rose.cpp.

  void QwtSimpleCompassRose::setNumThornLevels (int numThornLevels)

Set the of thorns levels

Parameters:
    numThornLevels Number of thorns levels

See also:
    setNumThorns(), numThornLevels()

Definition at line 269 of file qwt_compass_rose.cpp.

  void QwtSimpleCompassRose::setNumThorns (int numThorns)

Set the number of thorns on one level The number is aligned to a multiple of 4, with a minimum of 4

Parameters:
    numThorns Number of thorns

See also:
    numThorns(), setNumThornLevels()

Definition at line 243 of file qwt_compass_rose.cpp.

  void QwtSimpleCompassRose::setWidth (double width)

Set the width of the rose heads. Lower value make thinner heads. The range is limited from 0.03 to 0.4.

Parameters:
    width Width

Definition at line 226 of file qwt_compass_rose.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.